// CheckingDialog.cpp : implementation file
//

#include "stdafx.h"
#include "wgscmaps.h"
#include "CheckingDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CheckingDialog dialog


CheckingDialog::CheckingDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CheckingDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CheckingDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
     m_okToExit = FALSE;
}


void CheckingDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CheckingDialog)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CheckingDialog, CDialog)
	//{{AFX_MSG_MAP(CheckingDialog)
	ON_WM_CLOSE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CheckingDialog message handlers

void CheckingDialog::OkToExit()
{
     m_okToExit = TRUE;
}

void CheckingDialog::OnClose() 
{
	// TODO: Add your message handler code here and/or call default
	
     if (m_okToExit)
     {
	     CDialog::OnClose();
     }
}
